Can't install "Languages for wordpress"

While I try to install it I get redirected to a page with the following error:

Are you sure you want to do this?

Please try again.

And it doesn't let me install it, could anyone please help me?